## ros-melodic-volta-teleoperator 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(volta_teleoperator)

find_package(catkin REQUIRED COMPONENTS
  teleop_twist_joy
  teleop_twist_keyboard
  sensor_msgs
  geometry_msgs
  volta_msgs
  actionlib_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    joy_teleop
)

include_directories(
    include
    ${catkin_INCLUDE_DIRS}
)

add_library(volta_joy_teleop src/joy_teleop.cpp)
#add_dependencies(volta_joy_teleop volta_teleoperator_gencpp)
add_executable(volta_joy_teleop_node src/joy_teleop_node.cpp)
target_link_libraries(volta_joy_teleop_node volta_joy_teleop ${catkin_LIBRARIES})

install(
  DIRECTORY config include launch src
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-volta-teleoperator (1.1.0-1stretch) stretch; urgency=high

  * First Release

 -- Mahendra L Seervi <mahendra.l@botsync.co>  Wed, 18 Nov 2020 18:30:00 -0000

=== debian/control ===
Source: ros-melodic-volta-teleoperator
Section: misc
Priority: optional
Maintainer: Mahendra L Seervi <mahendra.l@botsync.co>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-sensor-msgs, ros-melodic-teleop-twist-joy, ros-melodic-teleop-twist-keyboard, ros-melodic-volta-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-volta-teleoperator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib-msgs, ros-melodic-geometry-msgs, ros-melodic-sensor-msgs, ros-melodic-teleop-twist-joy, ros-melodic-teleop-twist-keyboard, ros-melodic-volta-msgs
Description: The volta_teleoperator package

## ros-melodic-volta-teleoperator 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,24 @@
 )
 
 add_library(volta_joy_teleop src/joy_teleop.cpp)
-#add_dependencies(volta_joy_teleop volta_teleoperator_gencpp)
 add_executable(volta_joy_teleop_node src/joy_teleop_node.cpp)
 target_link_libraries(volta_joy_teleop_node volta_joy_teleop ${catkin_LIBRARIES})
 
+
+install(DIRECTORY include/${PROJECT_NAME}/
+  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
+  PATTERN ".svn" EXCLUDE
+)
+
+install(TARGETS
+        volta_joy_teleop
+        volta_joy_teleop_node
+        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
+        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
+)
+
 install(
-  DIRECTORY config include launch src
+  DIRECTORY config launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-volta-teleoperator (1.1.1-1bionic) bionic; urgency=high

  * Updated yaml config and launch files.
  * Merge branch 'kinetic-devel-r2-update' into melodic-devel
  * Merge branch 'melodic-devel' into kinetic-devel-r2-update
  * updated sensor_read.py file. Added install configuration in CMakeLists.txt
  * Added install configuration in CMakeLists.txt
  * Merged volta_development.
  * Merged volta_development.
  * Added BSD-3 license
  * renamed the launch file for volta_teleoperator
  * Contributors: Nikhil Venkatesh, Toship

 -- Nikhil Venkatesh <nilhil@botsync.co>  Sun, 21 Mar 2021 18:30:00 -0000

ros-melodic-volta-teleoperator (1.1.0-1bionic) bionic; urgency=high

  * First Release

 -- Mahendra L Seervi <mahendra.l@botsync.co>  Wed, 18 Nov 2020 18:30:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-volta-teleoperator
 Section: misc
 Priority: optional
-Maintainer: Mahendra L Seervi <mahendra.l@botsync.co>
+Maintainer: Nikhil Venkatesh <nilhil@botsync.co>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-sensor-msgs, ros-melodic-teleop-twist-joy, ros-melodic-teleop-twist-keyboard, ros-melodic-volta-msgs
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-volta-teleoperator//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
